std::exception(3)

NAME
std::exception -

SYNOPSIS

Inherited by __gnu_cxx::__concurrence_broadcast_error, __gnu_cxx::__concurrence_lock_error, __gnu_cxx::__concurrence_unlock_error, __gnu_cxx::__concurrence_wait_error, __gnu_cxx::forced_error, __gnu_cxx::recursive_init_error, std::bad_alloc, std::bad_cast, std::bad_exception, std::bad_function_call, std::bad_typeid, std::bad_weak_ptr, std::ios_base::failure, std::logic_error, and std::runtime_error.

  Public Member Functions
virtual const char * what () const noexcept

Detailed Description

Base class for all library exceptions. This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 60 of file exception.

Member Function Documentation

  virtual const char* std::exception::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_function_call, std::ios_base::failure, std::bad_typeid, std::bad_cast, std::runtime_error, std::future_error, std::bad_exception, std::bad_weak_ptr, std::logic_error, and std::bad_alloc.

Author

Generated automatically by Doxygen for libstdc++ from the source code.